# LockMode

enum LockMode

The supported lock modes:

- `DEFAULT` will load the lock state and verify resolution matches it
- `STRICT` in addition to the `DEFAULT` behaviour, will fail resolution if a locked configuration does not have lock state defined
- `LENIENT` will load the lock state, to anchor dynamic versions, but otherwise be lenient about modifications of the dependency resolution, allowing versions to change and module to be added or removed

#### Since

6.1

## Entries

STRICT
Link copied to clipboard
STRICT
DEFAULT
Link copied to clipboard
DEFAULT
LENIENT
Link copied to clipboard
LENIENT

## Functions

valueOf
Link copied to clipboard
open fun valueOf(name: String): LockMode

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<LockMode>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.